Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/XMP2.pl
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/XMP2.pl	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/XMP2.pl	(revision 34921)
@@ -617,5 +802,5 @@
 # PRISM
 #
-# NOTE: The "Avoid" flag is set for all PRISM tags
+# NOTE: The "Avoid" flag is set for all PRISM tags (via tag table AVOID flag)
 
 # my %obsolete = (
@@ -631,19 +816,56 @@
 # );
 
-# Publishing Requirements for Industry Standard Metadata 2.1 (prism) (ref 2)
+# PRISM structure definitions
+my %prismPublicationDate = (
+    STRUCT_NAME => 'prismPublicationDate',
+    NAMESPACE   => 'prism',
+    date        => { %dateTimeInfo, Groups => { 2 => 'Time'} },
+    'a-platform'=> { },
+);
+
+# Publishing Requirements for Industry Standard Metadata (prism) (ref 2)
 %Image::ExifTool::XMP::prism = (
     %xmpTableDefaults,
     GROUPS => { 0 => 'XMP', 1 => 'XMP-prism', 2 => 'Document' },
     NAMESPACE => 'prism',
+    AVOID => 1,
     NOTES => q{
-        Publishing Requirements for Industry Standard Metadata 2.1 schema tags. (see
-        L<http://www.prismstandard.org/>)
-    },
+        Publishing Requirements for Industry Standard Metadata 3.0 namespace
+        tags.  (see L<http://www.prismstandard.org/>)
+    },
+    academicField   => { }, # (3.0)
+    aggregateIssueNumber => { Writable => 'integer' }, # (3.0)
     aggregationType => { List => 'Bag' },
-    alternateTitle  => { List => 'Bag' },
+    alternateTitle  => {
+        List => 'Bag',
+        Struct => { # (becomes a structure in 3.0)
+            STRUCT_NAME => 'prismAlternateTitle',
+            NAMESPACE   => 'prism',
+            text        => { },
+            'a-platform'=> { },
+            'a-lang'    => { },
+        },
+    },
+    blogTitle       => { }, # (3.0)
+    blogURL         => { }, # (3.0)
+    bookEdition     => { }, # (3.0)
     byteCount       => { Writable => 'integer' },
-    channel         => { List => 'Bag' },
+    channel         => {
+        List => 'Bag',
+        Struct => { # (becomes a structure in 3.0)
+            STRUCT_NAME => 'prismChannel',
+            NAMESPACE   => 'prism',
+            channel     => { },
+            subchannel1 => { },
+            subchannel2 => { },
+            subchannel3 => { },
+            subchannel4 => { },
+            'a-lang'    => { },
+        },
+    },
     complianceProfile=>{ PrintConv => { three => 'Three' } },
-    copyright       => { Groups => { 2 => 'Author' } },
+    contentType     => { }, # (3.0)
+    copyrightYear   => { }, # (3.0)
+    # copyright       => { Groups => { 2 => 'Author' } }, # (deprecated in 3.0)
     corporateEntity => { List => 'Bag' },
     coverDate       => { %dateTimeInfo, Groups => { 2 => 'Time'} },
@@ -651,30 +873,79 @@
     creationDate    => { %dateTimeInfo, Groups => { 2 => 'Time'} },
     dateRecieved    => { %dateTimeInfo, Groups => { 2 => 'Time'} },
+    device          => { }, # (3.0)
     distributor     => { },
     doi             => { Name => 'DOI', Description => 'Digital Object Identifier' },
     edition         => { },
     eIssn           => { },
-    embargoDate     => { List => 'Bag', %dateTimeInfo, Groups => { 2 => 'Time'} },
+    #embargoDate     => { List => 'Bag', %dateTimeInfo, Groups => { 2 => 'Time'} }, # (deprecated in 3.0)
     endingPage      => { },
     event           => { List => 'Bag' },
-    expirationDate  => { List => 'Bag', %dateTimeInfo, Groups => { 2 => 'Time'} },
+    #expirationDate  => { List => 'Bag', %dateTimeInfo, Groups => { 2 => 'Time'} }, # (deprecated in 3.0)
     genre           => { List => 'Bag' },
     hasAlternative  => { List => 'Bag' },
-    hasCorrection   => { },
-    hasPreviousVersion => { },
+    hasCorrection   => {
+        Struct => { # (becomes a structure in 3.0)
+            STRUCT_NAME => 'prismHasCorrection',
+            NAMESPACE   => 'prism',
+            text        => { },
+            'a-platform'=> { },
+            'a-lang'    => { },
+        },
+    },
+    # hasPreviousVersion => { }, # (not in 3.0)
     hasTranslation  => { List => 'Bag' },
     industry        => { List => 'Bag' },
+    isAlternativeOf => { List => 'Bag' }, # (3.0)
+    isbn            => { Name => 'ISBN', List => 'Bag' }, # 2.1 (becomes a list in 3.0)
     isCorrectionOf  => { List => 'Bag' },
     issn            => { Name => 'ISSN' },
     issueIdentifier => { },
     issueName       => { },
+    issueTeaser     => { }, # (3.0)
+    issueType       => { }, # (3.0)
     isTranslationOf => { },
     keyword         => { List => 'Bag' },
-    killDate        => { %dateTimeInfo, Groups => { 2 => 'Time'} },
+    killDate        => {
+        Struct => { # (becomes a structure in 3.0)
+            STRUCT_NAME => 'prismKillDate',
+            NAMESPACE   => 'prism',
+            date        => { %dateTimeInfo, Groups => { 2 => 'Time'} },
+            'a-platform'=> { }, #PH (missed in spec?)
+        },
+    },
+   'link'           => { List => 'Bag' }, # (3.0)
     location        => { List => 'Bag' },
     # metadataContainer => { }, (not valid for PRISM XMP)
     modificationDate=> { %dateTimeInfo, Groups => { 2 => 'Time'} },
+    nationalCatalogNumber => { }, # (3.0)
     number          => { },
     object          => { List => 'Bag' },
+    onSaleDate => { # (3.0)
+        List => 'Bag',
+        Struct => {
+            STRUCT_NAME => 'prismOnSaleDate',
+            NAMESPACE   => 'prism',
+            date        => { %dateTimeInfo, Groups => { 2 => 'Time'} },
+            'a-platform'=> { },
+        },
+    },
+    onSaleDay => { # (3.0)
+        List => 'Bag',
+        Struct => {
+            STRUCT_NAME => 'prismOnSaleDay',
+            NAMESPACE   => 'prism',
+            day         => { }, #PH (not named in spec)
+            'a-platform'=> { },
+        },
+    },
+    offSaleDate => { # (3.0)
+        List => 'Bag',
+        Struct => {
+            STRUCT_NAME => 'prismOffSaleDate',
+            NAMESPACE   => 'prism',
+            date        => { %dateTimeInfo, Groups => { 2 => 'Time'} },
+            'a-platform'=> { },
+        },
+    },
     organization    => { List => 'Bag' },
     originPlatform  => {
@@ -690,10 +961,31 @@
         },
     },
+    pageCount       => { Writable => 'integer' }, # (3.0)
+    pageProgressionDirection => { # (3.0)
+        PrintConv => { LTR => 'Left to Right', RTL => 'Right to Left' },
+    },
     pageRange       => { List => 'Bag' },
     person          => { },
-    publicationDate => { List => 'Bag', %dateTimeInfo, Groups => { 2 => 'Time'} },
+    platform        => { }, # (3.0)
+    productCode     => { }, # (3.0)
+    profession      => { }, # (3.0)
+    publicationDate => {
+        List => 'Bag',
+        Struct => \%prismPublicationDate, # (becomes a structure in 3.0)
+    },
+    publicationDisplayDate => { # (3.0)
+        List => 'Bag',
+        Struct => \%prismPublicationDate,
+    },
     publicationName => { },
-    rightsAgent     => { },
+    publishingFrequency => { }, # (3.0)
+    rating          => { },
+    # rightsAgent     => { }, # (deprecated in 3.0)
+    samplePageRange => { }, # (3.0)
     section         => { },
+    sellingAgency   => { }, # (3.0)
+    seriesNumber    => { Writable => 'integer' }, # (3.0)
+    seriesTitle     => { }, # (3.0)
+    sport           => { }, # (3.0)
     startingPage    => { },
     subsection1     => { },
@@ -701,13 +993,25 @@
     subsection3     => { },
     subsection4     => { },
+    subtitle        => { }, # (3.0)
+    supplementDisplayID => { }, # (3.0)
+    supplementStartingPage => { }, # (3.0)
+    supplementTitle => { }, # (3.0)
     teaser          => { List => 'Bag' },
     ticker          => { List => 'Bag' },
     timePeriod      => { },
-    url             => { Name => 'URL', List => 'Bag' },
+    url             => {
+        Name => 'URL',
+        List => 'Bag',
+        Struct => { # (becomes a structure in 3.0)
+            STRUCT_NAME => 'prismUrl',
+            NAMESPACE   => 'prism',
+            url         => { },
+            'a-platform'=> { },
+        },
+    },
+    uspsNumber      => { }, # (3.0)
     versionIdentifier => { },
     volume          => { },
     wordCount       => { Writable => 'integer' },
-    # new in PRISM 2.1
-    isbn            => { Name => 'ISBN' },
 # tags that existed in version 1.3
 #    category        => { %obsolete, List => 'Bag' },
@@ -738,11 +1042,13 @@
 );
 
-# PRISM Rights Language 2.1 schema (prl) (ref 2)
+# PRISM Rights Language namespace (prl) (ref 2)
 %Image::ExifTool::XMP::prl = (
     %xmpTableDefaults,
     GROUPS => { 0 => 'XMP', 1 => 'XMP-prl', 2 => 'Document' },
     NAMESPACE => 'prl',
+    AVOID => 1,
     NOTES => q{
-        PRISM Rights Language 2.1 schema tags.  (see
+        PRISM Rights Language 2.1 namespace tags.  These tags have been deprecated
+        since the release of the PRISM Usage Rights 3.0. (see
         L<http://www.prismstandard.org/>)
     },
@@ -752,15 +1058,22 @@
 );
 
-# PRISM Usage Rights 2.1 schema (prismusagerights) (ref 2)
+# PRISM Usage Rights namespace (prismusagerights) (ref 2)
 %Image::ExifTool::XMP::pur = (
     %xmpTableDefaults,
     GROUPS => { 0 => 'XMP', 1 => 'XMP-pur', 2 => 'Document' },
     NAMESPACE => 'pur',
+    AVOID => 1,
     NOTES => q{
-        Prism Usage Rights 2.1 schema tags.  (see L<http://www.prismstandard.org/>)
+        PRISM Usage Rights 3.0 namespace tags.  (see
+        L<http://www.prismstandard.org/>)
     },
     adultContentWarning => { List => 'Bag' },
     agreement           => { List => 'Bag' },
-    copyright           => { Writable => 'lang-alt', Groups => { 2 => 'Author' } },
+    copyright           => {
+        # (not clear in 3.0 spec, which lists only "bag Text", and called
+        #  "copyrightDate" instead of "copyright" the PRISM basic 3.0 spec)
+        Writable => 'lang-alt',
+        Groups => { 2 => 'Author' },
+    },
     creditLine          => { List => 'Bag' },
     embargoDate         => { List => 'Bag', %dateTimeInfo, Groups => { 2 => 'Time'} },
@@ -774,13 +1087,118 @@
     rightsAgent         => { },
     rightsOwner         => { },
-    usageFee            => { List => 'Bag' },
-);
-
-# DICOM schema properties (DICOM) (ref PH, written by CS3)
+    # usageFee            => { List => 'Bag' }, # (not in 3.0)
+);
+
+# PRISM Metadata for Images namespace (pmi) (ref 2)
+%Image::ExifTool::XMP::pmi = (
+    %xmpTableDefaults,
+    GROUPS => { 0 => 'XMP', 1 => 'XMP-pmi', 2 => 'Image' },
+    NAMESPACE => 'pmi',
+    AVOID => 1,
+    NOTES => q{
+        PRISM Metadata for Images 3.0 namespace tags.  (see
+        L<http://www.prismstandard.org/>)
+    },
+    color => {
+        PrintConv => {
+            bw => 'BW',
+            color => 'Color',
+            sepia => 'Sepia',
+            duotone => 'Duotone',
+            tritone => 'Tritone',
+            quadtone => 'Quadtone',
+        },
+    },
+    contactInfo     => { },
+    displayName     => { },
+    distributorProductID => { },
+    eventAlias      => { },
+    eventEnd        => { },
+    eventStart      => { },
+    eventSubtype    => { },
+    eventType       => { },
+    field           => { },
+    framing         => { },
+    location        => { },
+    make            => { },
+    manufacturer    => { },
+    model           => { },
+    modelYear       => { },
+    objectDescription=>{ },
+    objectSubtype   => { },
+    objectType      => { },
+    orientation => {
+        PrintConv => {
+            horizontal => 'Horizontal',
+            vertical => 'Vertical',
+        }
+    },
+    positionDescriptor => { },
+    productID       => { },
+    productIDType   => { },
+    season => {
+        PrintConv => {
+            spring => 'Spring',
+            summer => 'Summer',
+            fall => 'Fall',
+            winter => 'Winter',
+        },
+    },
+    sequenceName    => { },
+    sequenceNumber  => { },
+    sequenceTotalNumber => { },
+    setting         => { },
+    shootID         => { },
+    slideshowName   => { },
+    slideshowNumber => { Writable => 'integer' },
+    slideshowTotalNumber => { Writable => 'integer' },
+    viewpoint       => { },
+    visualTechnique => { },
+);
+
+# PRISM Recipe Metadata (prm) (ref 2)
+%Image::ExifTool::XMP::prm = (
+    %xmpTableDefaults,
+    GROUPS => { 0 => 'XMP', 1 => 'XMP-prm', 2 => 'Document' },
+    NAMESPACE => 'prm',
+    AVOID => 1,
+    NOTES => q{
+        PRISM Recipe Metadata 3.0 namespace tags.  (see
+        L<http://www.prismstandard.org/>)
+    },
+    cookingEquipment    => { },
+    cookingMethod       => { },
+    course              => { },
+    cuisine             => { },
+    dietaryNeeds        => { },
+    dishType            => { },
+    duration            => { },
+    ingredientExclusion => { },
+    mainIngredient      => { },
+    meal                => { },
+    recipeEndingPage    => { },
+    recipePageRange     => { },
+    recipeSource        => { },
+    recipeStartingPage  => { },
+    recipeTitle         => { },
+    servingSize         => { },
+    skillLevel          => { },
+    specialOccasion     => { },
+    yield               => { },
+);
+
+#------------------------------------------------------------------------------
+
+# DICOM namespace properties (DICOM) (ref PH, written by CS3)
 %Image::ExifTool::XMP::DICOM = (
     %xmpTableDefaults,
     GROUPS => { 1 => 'XMP-DICOM', 2 => 'Image' },
     NAMESPACE => 'DICOM',
-    NOTES => 'DICOM schema tags.',
+    NOTES => q{
+        DICOM namespace tags.  These XMP tags allow some DICOM information to be
+        stored in files of other than DICOM format.  See the
+        L<DICOM Tags documentation|Image::ExifTool::TagNames/DICOM Tags> for a list
+        of tags available in DICOM-format files.
+    },
     # change some tag names to correspond with DICOM tags
     PatientName             => { },
@@ -804,42 +1222,121 @@
 );
 
-# PixelLive schema properties (PixelLive) (ref 3)
+# PixelLive namespace properties (PixelLive) (ref 3)
 %Image::ExifTool::XMP::PixelLive = (
     GROUPS => { 1 => 'XMP-PixelLive', 2 => 'Image' },
     NAMESPACE => 'PixelLive',
+    AVOID => 1,
     NOTES => q{
-        PixelLive schema tags.  These tags are not writable becase they are very
+        PixelLive namespace tags.  These tags are not writable because they are very
         uncommon and I haven't been able to locate a reference which gives the
         namespace URI.
     },
-    AUTHOR    => { Name => 'Author',   Avoid => 1, Groups => { 2 => 'Author' } },
-    COMMENTS  => { Name => 'Comments', Avoid => 1 },
-    COPYRIGHT => { Name => 'Copyright',Avoid => 1, Groups => { 2 => 'Author' } },
-    DATE      => { Name => 'Date',     Avoid => 1, Groups => { 2 => 'Time' } },
-    GENRE     => { Name => 'Genre',    Avoid => 1 },
-    TITLE     => { Name => 'Title',    Avoid => 1 },
-);
-
-# ACDSee schema (acdsee) (ref PH)
+    AUTHOR    => { Name => 'Author',    Groups => { 2 => 'Author' } },
+    COMMENTS  => { Name => 'Comments' },
+    COPYRIGHT => { Name => 'Copyright', Groups => { 2 => 'Author' } },
+    DATE      => { Name => 'Date',      Groups => { 2 => 'Time' } },
+    GENRE     => { Name => 'Genre' },
+    TITLE     => { Name => 'Title' },
+);
+
+# Extensis Portfolio tags (extensis) (ref 11)
+%Image::ExifTool::XMP::extensis = (
+    %xmpTableDefaults,
+    GROUPS => { 1 => 'XMP-extensis', 2 => 'Image' },
+    NAMESPACE => 'extensis',
+    NOTES => 'Tags used by Extensis Portfolio.',
+    Approved     => { Writable => 'boolean' },
+    ApprovedBy   => { },
+    ClientName   => { },
+    JobName      => { },
+    JobStatus    => { },
+    RoutedTo     => { },
+    RoutingNotes => { },
+    WorkToDo     => { },
+);
+
+# IDimager structures (ref PH)
+my %sTagStruct;
+%sTagStruct = (
+    STRUCT_NAME => 'TagStructure',
+    NAMESPACE => 'ics',
+    LabelName => { },
+    Reference => { },
+    ParentReference => { },
+    SubLabels => { Struct => \%sTagStruct, List => 'Bag' },
+);
+my %sSubVersion = (
+    STRUCT_NAME => 'SubVersion',
+    NAMESPACE => 'ics',
+    VersRef => { },
+    FileName => { },
+);
+
+# IDimager namespace (ics) (ref PH)
+%Image::ExifTool::XMP::ics = (
+    %xmpTableDefaults,
+    GROUPS => { 0 => 'XMP', 1 => 'XMP-ics', 2 => 'Image' },
+    NAMESPACE => 'ics',
+    NOTES => q{
+        Tags used by IDimager.  Nested TagStructure structures are unrolled to an
+        arbitrary depth of 6 to avoid infinite recursion.
+    },
+    ImageRef => { },
+    TagStructure => { Struct => \%sTagStruct, List => 'Bag' },
+    TagStructureLabelName => { Name => 'LabelName1', Flat => 1 },
+    TagStructureReference => { Name => 'Reference1', Flat => 1 },
+    TagStructureSubLabels => { Name => 'SubLabels1', Flat => 1 },
+    TagStructureParentReference => { Name => 'ParentReference1', Flat => 1 },
+    TagStructureSubLabelsLabelName => { Name => 'LabelName2', Flat => 1 },
+    TagStructureSubLabelsReference => { Name => 'Reference2', Flat => 1 },
+    TagStructureSubLabelsSubLabels => { Name => 'SubLabels2', Flat => 1 },
+    TagStructureSubLabelsParentReference => { Name => 'ParentReference2', Flat => 1 },
+    TagStructureSubLabelsSubLabelsLabelName => { Name => 'LabelName3', Flat => 1 },
+    TagStructureSubLabelsSubLabelsReference => { Name => 'Reference3', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabels => { Name => 'SubLabels3', Flat => 1 },
+    TagStructureSubLabelsSubLabelsParentReference => { Name => 'ParentReference3', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsLabelName => { Name => 'LabelName4', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsReference => { Name => 'Reference4', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabels => { Name => 'SubLabels4', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsParentReference => { Name => 'ParentReference4', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsLabelName => { Name => 'LabelName5', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsReference => { Name => 'Reference5', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsSubLabels => { Name => 'SubLabels5', Flat => 1, NoSubStruct => 1 }, # break infinite recursion
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsParentReference => { Name => 'ParentReference5', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsSubLabelsLabelName => { Name => 'LabelName6', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsSubLabelsReference => { Name => 'Reference6', Flat => 1 },
+    TagStructureSubLabelsSubLabelsSubLabelsSubLabelsSubLabelsParentReference => { Name => 'ParentReference6', Flat => 1 },
+    SubVersions => { Struct => \%sSubVersion, List => 'Bag' },
+    SubVersionsVersRef => { Name => 'SubVersionReference', Flat => 1 },
+    SubVersionsFileName => { Name => 'SubVersionFileName', Flat => 1 },
+    TimeStamp  => { Avoid => 1, Groups => { 2 => 'Time' }, %dateTimeInfo },
+    AppVersion => { Avoid => 1 },
+);
+
+# ACDSee namespace (acdsee) (ref PH)
 %Image::ExifTool::XMP::acdsee = (
     %xmpTableDefaults,
     GROUPS => { 0 => 'XMP', 1 => 'XMP-acdsee', 2 => 'Image' },
     NAMESPACE => 'acdsee',
+    AVOID => 1,
     NOTES => q{
-        ACD Systems ACDSee schema tags.
+        ACD Systems ACDSee namespace tags.
 
         (A note to software developers: Re-inventing your own private tags instead
-        of using the equivalent tags in standard XMP schemas defeats one of the most
-        valuable features of metadata: interoperability.  Your applications mumble
-        to themselves instead of speaking out for the rest of the world to hear.)
-    },
-    author     => { Avoid => 1, Groups => { 2 => 'Author' } },
-    caption    => { Avoid => 1 },
-    categories => { Avoid => 1 },
-    datetime   => { Avoid => 1, Groups => { 2 => 'Time' }, %dateTimeInfo },
-    keywords   => { Avoid => 1, List => 'Bag' },
-    notes      => { Avoid => 1 },
-    rating     => { Avoid => 1, Writable => 'real' }, # integer?
-    tagged     => { Avoid => 1, Writable => 'boolean' },
+        of using the equivalent tags in standard XMP namespaces defeats one of the
+        most valuable features of metadata: interoperability.  Your applications
+        mumble to themselves instead of speaking out for the rest of the world to
+        hear.)
+    },
+    author     => { Groups => { 2 => 'Author' } },
+    caption    => { },
+    categories => { },
+    collections=> { },
+    datetime   => { Name => 'DateTime', Groups => { 2 => 'Time' }, %dateTimeInfo },
+    keywords   => { List => 'Bag' },
+    notes      => { },
+    rating     => { Writable => 'real' }, # integer?
+    tagged     => { Writable => 'boolean' },
+    rawrppused => { Writable => 'boolean' },
     rpp => {
         Name => 'RPP',
@@ -848,17 +1345,36 @@
         Binary => 1,
     },
-);
-
-# Picture Licensing Universal System schema properties (xmpPLUS)
+    dpp => {
+        Name => 'DPP',
+        Writable => 'lang-alt',
+        Notes => 'newer version of XML raw processing settings',
+        Binary => 1,
+    },
+    # more tags (ref forum6840)
+    FixtureIdentifier   => { },
+    EditStatus          => { },
+    ReleaseDate         => { },
+    ReleaseTime         => { },
+    OriginatingProgram  => { },
+    ObjectCycle         => { },
+    Snapshots           => { List => 'Bag', Binary => 1 },
+);
+
+# Picture Licensing Universal System namespace properties (xmpPLUS)
 %Image::ExifTool::XMP::xmpPLUS = (
     %xmpTableDefaults,
     GROUPS => { 1 => 'XMP-xmpPLUS', 2 => 'Author' },
     NAMESPACE => 'xmpPLUS',
-    NOTES => 'XMP Picture Licensing Universal System (PLUS) schema tags.',
+    AVOID => 1,
+    NOTES => q{
+        XMP Picture Licensing Universal System (PLUS) tags as written by some older
+        Adobe applications.  See L<PLUS XMP Tags|Image::ExifTool::TagNames/PLUS XMP Tags>
+        for the current PLUS tags.
+    },
     CreditLineReq   => { Writable => 'boolean' },
     ReuseAllowed    => { Writable => 'boolean' },
 );
 
-# Creative Commons schema properties (cc) (ref 5)
+# Creative Commons namespace properties (cc) (ref 5)
 %Image::ExifTool::XMP::cc = (
     %xmpTableDefaults,
@@ -866,14 +1382,51 @@
     NAMESPACE => 'cc',
     NOTES => q{
-        Creative Commons schema tags.  (see
-        L<http://creativecommons.org/technology/xmp>)
-    },
-    license => { },
-    morePermissions => { },
+        Creative Commons namespace tags.  Note that the CC specification for XMP is
+        non-existent, so ExifTool must make some assumptions about the format of the
+        specific properties in XMP (see L<http://creativecommons.org/ns>).
+    },
+    # Work properties
+    license         => { Resource => 1 },
     attributionName => { },
-    attributionURL  => { },
-);
-
-# Description Explorer schema properties (dex) (ref 6)
+    attributionURL  => { Resource => 1 },
+    morePermissions => { Resource => 1 },
+    useGuidelines   => { Resource => 1 },
+    # License properties
+    permits => {
+        List => 'Bag',
+        Resource => 1,
+        PrintConv => {
+            'cc:Sharing' => 'Sharing',
+            'cc:DerivativeWorks' => 'Derivative Works',
+            'cc:Reproduction' => 'Reproduction',
+            'cc:Distribution' => 'Distribution',
+        },
+    },
+    requires => {
+        List => 'Bag',
+        Resource => 1,
+        PrintConv => {
+            'cc:Copyleft' => 'Copyleft',
+            'cc:LesserCopyleft' => 'Lesser Copyleft',
+            'cc:SourceCode' => 'Source Code',
+            'cc:ShareAlike' => 'Share Alike',
+            'cc:Notice' => 'Notice',
+            'cc:Attribution' => 'Attribution',
+        },
+    },
+    prohibits => {
+        List => 'Bag',
+        Resource => 1,
+        PrintConv => {
+            'cc:HighIncomeNationUse' => 'High Income Nation Use',
+            'cc:CommercialUse' => 'Commercial Use',
+        },
+    },
+    jurisdiction    => { Resource => 1 },
+    legalcode       => { Name => 'LegalCode', Resource => 1 },
+    deprecatedOn    => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+);
+
+# Description Explorer namespace properties (dex) (ref 6)
 %Image::ExifTool::XMP::dex = (
     %xmpTableDefaults,
@@ -881,5 +1434,5 @@
     NAMESPACE => 'dex',
     NOTES => q{
-        Description Explorer schema tags.  These tags are not very common.  The
+        Description Explorer namespace tags.  These tags are not very common.  The
         Source and Rating tags are avoided when writing due to name conflicts with
         other XMP tags.  (see L<http://www.optimasc.com/products/fileid/>)
@@ -910,11 +1463,14 @@
 );
 
-# iView MediaPro schema properties (mediapro) (ref PH)
+# iView MediaPro namespace properties (mediapro) (ref PH)
 %Image::ExifTool::XMP::MediaPro = (
     %xmpTableDefaults,
     GROUPS => { 1 => 'XMP-mediapro', 2 => 'Image' },
     NAMESPACE => 'mediapro',
-    NOTES => 'iView MediaPro schema tags.',
-    Event       => { },
+    NOTES => 'iView MediaPro namespace tags.',
+    Event       => {
+        Avoid => 1,
+        Notes => 'avoided due to conflict with XMP-iptcExt:Event',
+    },
     Location    => {
         Avoid => 1,
@@ -928,21 +1484,43 @@
 );
 
-# DigiKam schema tags (ref PH)
+# Microsoft ExpressionMedia namespace properties (expressionmedia)
+# (ref https://exiftool.org/forum/index.php/topic,4235.0.html)
+%Image::ExifTool::XMP::ExpressionMedia = (
+    %xmpTableDefaults,
+    GROUPS => { 1 => 'XMP-expressionmedia', 2 => 'Image' },
+    NAMESPACE => 'expressionmedia',
+    AVOID => 1,
+    NOTES => q{
+        Microsoft Expression Media namespace tags.  These tags are avoided when
+        writing due to name conflicts with tags in other schemas.
+    },
+    Event       => { },
+    Status      => { },
+    People      => { List => 'Bag' },
+    CatalogSets => { List => 'Bag' },
+);
+
+# DigiKam namespace tags (ref PH)
 %Image::ExifTool::XMP::digiKam = (
     %xmpTableDefaults,
     GROUPS => { 1 => 'XMP-digiKam', 2 => 'Image' },
     NAMESPACE => 'digiKam',
-    NOTES => 'DigiKam schema tags.',
+    NOTES => 'DigiKam namespace tags.',
     CaptionsAuthorNames    => { Writable => 'lang-alt' },
-    CaptionsDateTimeStamps => { Writable => 'lang-alt' },
+    CaptionsDateTimeStamps => { Writable => 'lang-alt', Groups => { 2 => 'Time' } },
     TagsList               => { List => 'Seq' },
-);
-
-# SWF schema tags (ref PH)
+    ColorLabel             => { },
+    PickLabel              => { },
+    ImageHistory           => { Avoid => 1, Notes => 'different format from EXIF:ImageHistory' },
+    LensCorrectionSettings => { },
+    ImageUniqueID          => { Avoid => 1 },
+);
+
+# SWF namespace tags (ref PH)
 %Image::ExifTool::XMP::swf = (
     %xmpTableDefaults,
     GROUPS => { 1 => 'XMP-swf', 2 => 'Image' },
     NAMESPACE => 'swf',
-    NOTES => 'Adobe SWF schema tags.',
+    NOTES => 'Adobe SWF namespace tags.',
     type         => { Avoid => 1 },
     bgalpha      => { Name => 'BackgroundAlpha', Writable => 'integer' },
